%define anolis_release 2
%global modname HTTP-Date
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Time::Local\\)$

Name:           perl-%{modname}
Version:        6.05
Release:        %{anolis_release}%{?dist}
Summary:        Date conversion routines
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/release/%{modname}
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/%{modname}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  perl-interpreter perl-generators perl(:VERSION) >= 5.6.2
BuildRequires:  perl(Exporter) perl(Time::Local) >= 1.28 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings) perl(blib) perl(File::Spec) perl(IO::Handle) perl(IPC::Open3)
BuildRequires:  perl(Test) perl(Test::More)

Requires:       perl(Time::Local) >= 1.28 perl(Time::Zone)
Conflicts:      perl-libwww-perl < 6

BuildArch:      noarch

%description
This module contains functions to deal with the date formats used by the HTTP
protocol (and then some more). By default, only the first two functions of the
following list: time2str() and str2time() are exported.

- time2str( [$time] )
- str2time( $str [, $zone] )
- parse_date( $str )
- time2iso( [$time] )
- time2isoz( [$time] )

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{modname}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*
%license LICENSE

%files doc
%doc Changes README.md CONTRIBUTORS

%changelog
* Tue Apr 11 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 6.05-2
- Refactor the specfile and remove sub-package

* Tue Jan 31 2023 Funda Wang <fundawang@yeah.net> - 6.05-1
- Import package for anolis 23
